Loading...
Searching...
No Matches
alphabet_base.hpp File Reference

Provides seqan3::alphabet_base. More...

`#include <cassert>`
`#include <concepts>`
`#include <type_traits>`
`#include <seqan3/alphabet/concept.hpp>`
`#include <seqan3/utility/detail/integer_traits.hpp>`
Include dependency graph for alphabet_base.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | seqan3::alphabet_base< derived_type, size, char_t >
| A CRTP-base that makes defining a custom alphabet easier. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Detailed Description

Provides seqan3::alphabet_base.

Author
  Hannes Hauswedell <hannes.hauswedell AT fu-berlin.de>

Hide me